Subject: Re: [regext] Fwd: New Version Notification for draft-brown-whoami-00.txt

From: Gavin Brown <[email-masked]>
Date: Thu, 25 Jan 2018 15:30:39 +0000

Hi Patrick, apologies for the delay in responding.

On 20/12/2017 22:25, Patrick Mevzek wrote:
> 
> 
> On 20/12/2017 12:08, Gavin Brown wrote:
>> Having thought about this topic for a little while, it occurred to me
>> that there might be some benefit in a "straw man" proposal for how
>> centralised databases of registration data might be avoided. So I wrote
>> this Internet-Draft which describes a simple decentralised alternative
>> to Whois/RDAP directories.
>>
>> Obviously it is far from a perfect solution, but I have yet to think of
>> any criticism of it that does not equally to Whois/RDAP as they
>> currently exist. So I have published my draft for feedback.
> 
> What do you do for domain names that are registered but not technically
> used, meaning no delegation in DNS?
> In that case you can not publish URI records in their zone (except if
> there is a way to have the registry publish it instead in its zone, like
> it does for glues), nor having a webserver reply for the website under
> this domain.

The registry could publish the URI record, but I think this is not the
best option.

WHOAMI is not a complete replacement for WHOIS; because it cannot
provide the technical metadata about the domain (ie creation date,
expiry date, sponsoring registrar, etc). So a registry which allows its
registrants to deploy WHOAMI will still need a "thin" WHOIS or RDAP service.

In this situation, a client which wants to look up a suspended domain
can use the nameservers (and glue if any) provided by the parent
registry's WHOIS/RDAP service and query them directly for the URI (or
the address records of the web server when falling back to the
well-known URL).

G.

-- 
Gavin Brown
Chief Technology Officer
CentralNic Group plc (LSE:CNIC)
Innovative, Reliable and Flexible Registry Services
for ccTLD, gTLD and private domain name registries
https://www.centralnic.com/

CentralNic Group plc is a company registered in England and Wales with
company number 8576358. Registered Offices: 35-39 Moorgate, London,
EC2R 6AR.